package org.micord.models.requests;

import jakarta.xml.bind.annotation.XmlAttribute;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "AqlRequestParameter")
public class AqlRequestParameter {
    
    private String type;
    private SqlConnectionParams sqlConnectionParams;
    private String aqlRequestParameterURL;
    
    @XmlAttribute(name = "type")
    public String getType() {
        return type;
    }
    
    public void setType(String type) {
        this.type = type;
    }
    
    @XmlElement(name = "SqlConnectionParams")
    public SqlConnectionParams getSqlConnectionParams() {
        return sqlConnectionParams;
    }
    
    public void setSqlConnectionParams(SqlConnectionParams sqlConnectionParams) {
        this.sqlConnectionParams = sqlConnectionParams;
    }
    
    @XmlElement(name = "AqlRequestParameterURL")
    public String getAqlRequestParameterURL() {
        return aqlRequestParameterURL;
    }
    
    public void setAqlRequestParameterURL(String aqlRequestParameterURL) {
        this.aqlRequestParameterURL = aqlRequestParameterURL;
    }
} 